
bin_PROGRAMS = auditioner audition

auditioner_SOURCES = \
	../dssi/dssi.h \
	auditioner.c \
	auditioner.h \
	dbus.c \
	dbus.h \
	message_buffer.c \
	message_buffer.h \
	non_rt_plugin_thread.h \
	utils.c \
	utils.h

auditioner_CFLAGS = \
	-I$(top_srcdir)/dssi \
	$(AM_CFLAGS) \
	-DPACKAGE_DATA_DIR=\""$(datadir)/ayyi/auditioner"\" \
	$(ALSA_CFLAGS) \
	$(JACK_CFLAGS) \
	$(GLIB_CFLAGS) \
	$(GTHREAD_CFLAGS) \
	$(DBUS_CFLAGS)

auditioner_LDADD = \
	$(AM_LDFLAGS) \
	$(ALSA_LIBS) \
	$(JACK_LIBS) \
	$(GLIB_LIBS) \
	$(GOBJECT_LDFLAGS) \
	$(GTHREAD_LIBS) \
	$(DBUS_LDFLAGS) \
	-lm -ldl

audition_SOURCES = \
	audition.c \
	utils.c utils.h

audition_CFLAGS = -I$(top_srcdir)/dssi $(AM_CFLAGS) $(ALSA_CFLAGS) $(LIBLO_CFLAGS) $(JACK_CFLAGS) $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(DBUS_CFLAGS)
audition_LDADD = $(AM_LDFLAGS) $(ALSA_LIBS) $(LIBLO_LIBS) $(JACK_LIBS) $(GLIB_LIBS) $(GOBJECT_LDFLAGS) $(GTHREAD_LIBS) $(DBUS_LDFLAGS)

BUILT_SOURCES = dbus-service.h

dbus-service.h: dbus-service.xml
	dbus-binding-tool --mode=glib-server --output=dbus-service.h --prefix=auditioner_dbus dbus-service.xml

EXTRA_DIST = \
	dbus-service.h \
	dbus-service.xml \
	osc.c
